Atoka API User Reference

v20261005.1001

Trademarks Search

This API allows you to search for company trademarks and brands.

https://https://api.atoka.io/v2/trademarks

All requests must be properly authenticated.

Authentication

Parameters
  • token string required

    All requests must be properly authenticated; see the Authentication section for more info

curl -G "https://https://api.atoka.io/v2/trademarks"

Response

By default this API endpoint returns the list of trademarks matching the selected criteria.

Using these parameters, you'll be able to customize the output you'll get from your searches.

Parameters
  • fields array,
    default is items

    Get the list of trademarks matched with data or just the counts.

    If you set this to value none, you'll get just the meta object, with count of trademarks matching your search criteria.

    Accepts multiple values, separated with , (comma) char: will match on any value (logic OR).

    Possible values are:

    • items
    • none
curl -G "https://https://api.atoka.io/v2/trademarks" -d "fields=items"

Response modifications

When fields is items, the response will be:

{
"items": [
{
"id": "EUTJgeDKsFFszplprNiF",
"type": "foo"
},
...
],
"meta": {
"ordering": "default",
"count": 57,
"limit": 10,
"offset": 30,
"info": [
"foo",
...
]
}
}
curl -G "https://https://api.atoka.io/v2/trademarks" -d "fields=items"

Data packages

This parameter allows you to control the information you want to retrieve about each trademark.

If you have special needs and want to further customize the data returned, we can adapt the output to your specific needs: just get in touch with us at sales@atoka.io.

Parameters
  • packages array

    Fine tune the results to the level of detail your application actually requires.

    The extraction cost per single site will be multiplied to the number of results in your query (up to offset parameter value).

    To avoid using any package, don't pass this parameter and the results will contain just the Atoka Trademakr ID (and little more).

    Accepts multiple values, separated with , (comma) char: will match on any value (logic OR).

    Possible values are:

    • base
    • * (use all the data packages you have an active subscription for)
curl -G "https://https://api.atoka.io/v2/trademarks" -d "packages=*"

Response modifications

When packages is *, the response will be:

{
"items": [
{
"id": "TMTMjPgwh-uLJQRXKvxg",
"type": "brand",
},
...
],
"queryExplanation": [
{
"engine": "foo",
"text": "foo",
"json": {"foo": "bar"}
},
...
],
"meta": {
"ordering": "default",
"count": 57,
"limit": 10,
"offset": 30,
"info": [
"foo",
...
]
}
}
curl -G "https://https://api.atoka.io/v2/trademarks" -d "packages=*"

Ordering & Pagination

To download long lists of results you can paginate returned items using these parameters.

You can also decide the order in which items are returned.

Parameters
  • limit integer,
    default is 10

    This is the number of individual objects that are returned in each page.

    Use a number between 0 and 50.

  • offset integer,
    default is 0

    This offsets the start of each page by the number specified.

    Use a number between 0 and 9950.

  • ordering string,
    default is "id"

    Selects the order in which results are returned.

    Choose only one among:

    • id
curl -G "https://https://api.atoka.io/v2/trademarks" -d "limit=10" -d "offset=30" -d "ordering=distance"

General info

Here are listed some base filters on Trademarks, such as their type or their owner.

Parameters
  • ids array

    Search via already known Atoka Trademark IDs.

    Accepts multiple values, separated with , (comma) char.

  • types array

    Filter trademarks by type.

    Accepts multiple values, separated with , (comma) char: will match on any value (logic OR).

    Possible values are:

    • brand
    • trademark
  • owners array

    Filter trademarks owned by a specific company

    Accepts multiple values, separated with , (comma) char.

curl -G "https://https://api.atoka.io/v2/trademarks" -d "types=trademark"

Debug

Use these parameters when you need to understand how your request was evaluated by the API.

Parameters
  • explain boolean,
    default is false

    When using this parameter in your request you'll get and additional property in the results explanation, that contains all the filters actually used during the query.

    Mostly useful for debugging purposes.

curl -G "https://https://api.atoka.io/v2/trademarks" -d "explain=true"

Response modifications

When explain is true, the response will be:

curl -G "https://https://api.atoka.io/v2/trademarks" -d "explain=true"

Response

The response of the trademark

{
"items": [
{
"id": "TMTMjPgwh-uLJQRXKvxg",
"type": "brand",
},
...
],
"queryExplanation": [
{
"engine": "foo",
"text": "foo",
"json": {"foo": "bar"}
},
...
],
"meta": {
"ordering": "default",
"count": 57,
"limit": 10,
"offset": 30,
"info": [
"foo",
...
]
}
}